@font-face {
  font-family: 'CustomFont';
  src: url('./font/AbarMidFaNum-Bold.woff');
  font-variation-settings: 'wght' 701, 'CNTR' 40;
}
/* header */
::-moz-selection {
  /* Code for Firefox */
  color: #ffffff;
  background: #000000;
  border-radius: 2px;
}

::selection {
  color: #ffffff;
  background: #000000;
  border-radius: 2px;
}

@keyframes slide-in {
  from {
    transform: translateY(-5%);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

#header {
  width: 332px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 24px auto;
}
#info-btn {
  padding: 12px;
  cursor: pointer;
  background-color: #f2f2f7;
  color: rgb(0, 0, 0);
  border-radius: 32px;
  border: none;
  transition: all 0.2s linear;
}
#info-btn:hover {
  background-color: #e3e3e9;
  transition: all 0.2s linear;
}
.ri-information-line,
.ri-close-line {
  font-size: 24px;
  vertical-align: middle;
}
#info {
  color: #949494;
  width: 332px;
  font-family: 'Poppins', sans-serif;
  font-size: 14px;
  text-align: justify;
  text-justify: newspaper;
  display: none;
  margin: auto;
  padding-bottom: 16px;
  animation: slide-in 0.2s ease-in-out;
}
#info.show {
  display: block;
}

/* form and content */

form {
  display: flex;
  flex-direction: column;
  width: 300px;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
  margin: auto;
  padding: 16px;
  background-color: #f2f2f7;
  border-radius: 32px;
  transition: all 0.5s linear;
}
#content-icon {
  color: #949494;
  font-size: 16px;
  padding-right: 6px;
  vertical-align: middle;
}
label {
  vertical-align: middle;
  margin-bottom: 4px;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
}
input,
textarea {
  margin-bottom: 24px;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
}
#text {
  outline: 0px solid rgba(0, 0, 0, 0.1);
  border: none;
  border-radius: 12px;
  padding: 8px;
  resize: none;
  transition: all 0.2s linear;
}
#text:hover {
  outline: 2px solid rgba(0, 0, 0, 0.1);
  border: none;
  transition: all 0.2s linear;
}
#text:focus {
  outline: 2px solid rgba(0, 0, 0, 0.2);
  border: none;
  transition: all 0.2s linear;
}

#color {
  width: 300px;
  height: 32px;
  border: none;
}
#color::-webkit-color-swatch-wrapper {
  padding: 0;
}
#color::-webkit-color-swatch {
  cursor: pointer;
  border: none;
  border-radius: 32px;
  outline: 0px solid rgba(0, 0, 0, 0.04);
  box-shadow: 0px 0px 10px -3px rgba(0, 0, 0, 0.35), inset 0px 2px 1px rgba(255, 255, 255, 0.5),
    inset 0px 0px 40px rgba(255, 255, 255, 0);
  transition: all 0.3s ease;
}
#color:hover::-webkit-color-swatch {
  outline: 4px solid rgba(0, 0, 0, 0.04);
  box-shadow: 0px 4px 10px -3px rgba(0, 0, 0, 0.35), inset 0px 2px 1px rgba(255, 255, 255, 0.5),
    inset 0px 6px 40px rgba(255, 255, 255, 0.25);
  transition: all 0.3s ease;
}

#font::-webkit-file-upload-button {
  cursor: pointer;
  border: none;
  background: #ffffff;
  border-radius: 32px;
  padding: 10px 12px;
  gap: 10px;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
  box-shadow: 0px 0px 0px -3px rgba(0, 0, 0, 0);
  transition: all 0.5s ease;
}
#font:hover::-webkit-file-upload-button {
  box-shadow: 0px 5px 12px -3px rgba(0, 0, 0, 0.08);
  transition: all 0.5s ease;
}

#font {
  cursor: pointer;
  transition: all 0.1s linear 0.1s;
  padding: 8px;
  border: 2px dashed #ffffff;
  border-radius: 32px;
}

#font:hover {
  transition: all 0.1s linear 0.1s;
}

#image-container {
  height: 150px;
  width: 300px;
  display: flex;
  flex-direction: column;
  position: relative;
  background-color: #ffffff;
  border-radius: 12px;
}
.alignBtns {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 5px;
  margin-top: 4px;
}
.alignBtn {
  border-radius: 24px;
  border: none;
  color: #000000;
  background-color: #e5e5e9;
  height: 32px;
  width: 32px;
  font-size: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.3s ease;
}
.alignBtn:hover {
  transition: all 0.3s ease;
  border: 1px solid #afafaf;
}

#btns {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: 16px;
}
.form-btn {
  cursor: pointer;
  text-align: center;
  align-items: center;
  background-color: #000000;
  color: rgb(255, 255, 255);
  padding: 16px 12px;
  border-radius: 32px;
  border: none;
  width: 100%;
  margin: auto 4px;
  font-family: 'Poppins', sans-serif;
  font-weight: 600;
  outline: 0px solid rgba(0, 0, 0, 0.08);
  -moz-outline-radius: 8px;
  z-index: +1;
  box-shadow: 0px 0px 10px -3px rgba(0, 0, 0, 0), inset 0px 2px 1px rgba(255, 255, 255, 0.5),
    inset 0px 0px 40px rgba(255, 255, 255, 0);
  transition: all 0.2s linear;
}
.form-btn:hover {
  outline: 4px solid rgba(0, 0, 0, 0.08);
  box-shadow: 0px 9px 10px -3px rgba(0, 0, 0, 0.35), inset 0px 2px 1px rgba(255, 255, 255, 0.5),
    inset 0px 10px 40px rgba(255, 255, 255, 0.25);
  transition: all 0.2s linear;
}
.form-btn:active {
  outline: 4px solid rgba(0, 0, 0, 0.04);
  box-shadow: 0px 4px 10px -3px rgba(0, 0, 0, 0.35), inset 0px 2px 1px rgba(255, 255, 255, 0.5),
    inset 0px 6px 40px rgba(255, 255, 255, 0.25);
  transition: all 0.2s linear;
}
#icon-btn {
  font-size: 16px;
  font-weight: 500;
  padding-right: 6px;
  vertical-align: middle;
}

/* footer */
#copyRight {
  position: fixed;
  bottom: -4px;
  left: 0;
  right: 0;
  font-family: 'Poppins', sans-serif;
  font-weight: 500;
  font-size: 12px;
  margin: 24px auto;
  text-align: center;
  color: #afafaf;
  z-index: +1;
}
a {
  text-decoration: none;
  color: #636363;
  transition: all 0.2s linear;
}
a:hover {
  color: #1f1f1f;
  transition: all 0.2s linear;
}
#copyRightBg {
  background: linear-gradient(0deg, #ffffff 0%, rgba(255, 255, 255, 0) 100%);
  width: auto;
  height: 70px;
  position: fixed;
  bottom: 0px;
  left: 0;
  right: 0;
  z-index: +1;
}
